package VDRTools;

use strict;
use vars qw(
	@ISA
	@EXPORT_OK
	$VIDEODIR
	$VERSION
	$VDRCONF
	$SYSCONFIG
);

require Exporter;

@ISA = qw(Exporter);
@EXPORT_OK = qw(
	error
);

$VIDEODIR = '/video0';
$VERSION = '0.0.3';

$VDRCONF = '/etc/vdr/setup.conf';
$SYSCONFIG = '/etc/sysconfig';

######################################################################

sub error {
	my $error = shift || 'Unknown error';
	my $func = shift;
	my $svdrpsend = shift || 0;
	$error = $0 . ' ' . ( ( $func ) ? ( $func ) : '' ) . ': ' . $error . "\n";
	if ( $svdrpsend ) {
		require VDRTools::Network;
		VDRTools::Network::vt_svdrpsend( 'MESG ' . $error );
	}
	system( 'logger -p user.err"' . $error . '"' );
}
